const mongoose = require('mongoose');

const ProductSchema = new mongoose.Schema({
  productCode: { type: String, required: true, unique: true },
  productName: { type: String, required: true },
  quantitySold: { type: Number, default: 0 },
  unitPrice: { type: Number, required: true },
});

module.exports = mongoose.model('Product', ProductSchema);
